#### D.14.1.4 mat2carr

Procedure from library `arr.lib` (see arr_lib).

Usage:
  mat2carr(M); matrix M

Return:
  [arr] interprets the rows of the matrix as the defining polynomial equations of the arrangement. I.e. if M is an m*n matrix we have H_i = Ker( M_i1*x_1 +...+ M_in*x_n) for i=1...m and
  A = {H_1,...,H_m} the resulting arrangement.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    matrix M[4][3] = 1,0,1,1,1,0,0,1,1,2,1,1;
    print(M);
    ==> 1,0,1,
    ==> 1,1,0,
    ==> 0,1,1,
    ==> 2,1,1
    mat2carr(M);
    ==> _[1]=x+z
    ==> _[2]=x+y
    ==> _[3]=y+z
    ==> _[4]=2x+y+z
    ==>

See also: mat2arr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.